import 'package:firebase_auth/firebase_auth.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:woofnwalk/widgets/signUp_Login.dart';
import 'package:woofnwalk/providers/googleSignIn.dart';

class SelectProfilePage extends StatelessWidget {

  @override
  Widget build(BuildContext context) => Scaffold(
    body: StreamBuilder(
        //stream: FirebaseAuth.instance.authStateChanges(),
        builder: (context, snapshot){
          if(snapshot.connectionState == ConnectionState.waiting){
            return Center(child: CircularProgressIndicator());
          }else if (snapshot.hasData) {
            return Scaffold(
              appBar: AppBar(
                title: Text('Select User'),
                centerTitle: true,
                actions: [
                  TextButton(
                    child: Text('Logout'),
                    style: TextButton.styleFrom(
                      primary: Colors.white,
                    ),
                    onPressed: () {
                      final provider = Provider.of<GoogleSignInProvider>(context, listen:false);
                      provider.googleLogout();
                      FirebaseAuth.instance.signOut();
                    },
                  )
                ],
              ),
              body: Container(
                  padding: EdgeInsets.all(8.0),
                  child: Column(
                    children: [
                      GestureDetector(
                          child: Container(
                              width:120,
                              height: 40,
                              decoration: const BoxDecoration(
                                  color: Colors.black,
                                  image: DecorationImage(
                                      image:AssetImage("images/dogOwnerBttnImg.png"),
                                      fit:BoxFit.cover
                                  ),
                                ),
                            child: Text("Dog Owner"),
                          ),
                          onTap:(){
                            print("you clicked me");
                          }
                      ),

                      GestureDetector(
                          child: Container(
                              width:120,
                              height: 40,
                              decoration: const BoxDecoration(
                                color: Colors.black,
                                image: DecorationImage(
                                    image:AssetImage("images/dogWalkerBttnImg.png"),
                                    fit:BoxFit.cover
                                ),
                              ),
                              child: Text("Dog Walker"),
                          ),
                          onTap:(){
                            print("you clicked me");
                          }
                      ),
                    ],
                  )
              )
            );
          }else if (snapshot.hasError){
            return Center(child:Text('Something went wrong'));
          }else{
            return SignUp_LoginPage();
          }
        }
    ),

  );
}
